Subject: Re: bug#47327: 28.0.50; (cl-generic) eql specializer not evaluated

From: Michael Heerdegen <[email-masked]>
Date: Wed, 24 Mar 2021 00:19:10 +0100

akater <[email-masked]> writes:

> In ~(eql VAL)~ specializer, ~VAL~ should evaluate during evaluation of
> the macroexpanded ~cl-defmethod~ form.

Are you sure that it should?  How is it in Common Lisp?  From the
documentation in Emacs I don't get the clear impression that what you
want is intended.  I don't say that it could not be useful, though.

Regards,

Michael.